% CPLsortC(CPL,ctype,CA) - returns a contour that start with angle -pi
%	(by Tim Lueth, VLFL-Lib, 2015-SEP-15 as class: CLOSED POLYGON LISTS)
%	
%	The contour is resorted around its center. It starts afterwards with 
%	the minimal (ctype='min') angle, the angle nearest to zero 
%	(ctype='zero'), or the maximum angle (ctype='max'). Often is is 
%	important to take only points of the convex hull (for example in case 
%	of spirals). Therefore, then only points are selected from the convex 
%	hull for the nearest angle to zero  (ctype='czero') on the convex hull 
%	or the minimal angle value of the convex hull (type='cmin').
%	
%	To resort the points backwards, use:  circshift(CPS,[s 0]) 
%	To compare results use:   [A circshift(B,[s 0])]
%	
%	 (Status of: 2015-10-02)
%	
%	[CPS,WA,CA,s]=CPLsortC(CPL,[ctype,CA])
%	=== INPUT PARAMETERS ===
%	CPL:	Original CPL
%	ctype:	'zero','min','max', 'czero', 'cmin'; default is 'czero'
%	CA:	Optional Center Point; do not use it
%	=== OUTPUT RESULTS ======
%	CPS:	Resorted CPL
%	WA:	corresponding angle
%	CA:	Center of CPL
%	s:	circshift value to return 
%	
%	EXAMPLE: 
%	CPLsortC(PLstar(10,10))
%	CPLsortC(CPLspiral(10,20,4*pi+pi/3))
%
% Generated by pcodeTL: 19-Dec-2016 06:50:16 using 9.1.0.441655 (R2016b)