% CPLuniteCPL(CPL) - returns a correct directed closed polygon list from 
%	a undirected closed polygon list
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-27 as class: ANALYTICAL GEOMETRY)
%	
%	This procedure returns a corrects ordered (cw/ccw) CPL.
%	To get the right order (ccw/cw) for a CPL 3D extrusion, use flip(CPL) 
%	before.
%	A feature is that there are additional points on straight lines, that 
%	help to separate the contour in y-axis into slices (Status of: 
%	2016-01-06)
%	
%	See also: CPLunite, CPLuniteCPL, CPLunitePLFL
%	
%	CPL=CPLuniteCPL(CPL)
%	=== INPUT PARAMETERS ===
%	CPL:	Closed polygon list (unidirected)
%	=== OUTPUT RESULTS ======
%	CPL:	Closed polygon list (correctly) directed cw/ccw
%	
%	EXAMPLE: Show how the order of polygons can be corrected
%	CPL=[0 0; 20 0; 20 10; 0 10; NaN NaN; 1 1; 9 1; 9 9; 1 9; NaN NaN; 2 2; 
%	8 2; 8 8; 2 8 ]
%	CPL=CPLuniteCPL(CPL);
%	CPL=flip(CPL);
%	PLELofCPL(CPL);
%
% Generated by pcodeTL: 19-Dec-2016 06:44:47 using 9.1.0.441655 (R2016b)