% FLofCVL(VL,ni,at,tt) - returns the faces for a tube-style vertex list
%	(by Tim Lueth, VLFL-Lib, 2015-OKT-04 as class: SURFACES)
%	
%	This procedure is used in SGsphere. Does work with one PL. Analyzes 
%	itself the z-values.
%	The procedure expects a sorted vertex list consisting of several 
%	succeeding polygon point list with different z-values. If just the VL 
%	is input argument, the procedure analyzes the z-values and reconstructs 
%	based on same z-values different levels and creates the outer walls 
%	between those polygons. (Status of: 2015-10-04)
%	
%	[FLB,FLW,FLT,CiL,ni]=FLofCVL(VL,[ni,at,tt])
%	=== INPUT PARAMETERS ===
%	VL:	Vertex list
%	ni:	Optional size list
%	at:	optional assignment type; default is 'number'
%	tt:	optional turning type; default is 'none'
%	=== OUTPUT RESULTS ======
%	FLB:	Facet list of the walls
%	FLW:	Facet list of the bottom
%	FLT:	Facet list of the cover
%	CiL:	CiL
%	ni:	size list
%	
%	EXAMPLE: 
%	VL=[]; for i=1:10; VL=[VL;VLaddz(PLstar(10,10),3*i)]; end; FLofCVL(VL);
%
% Generated by pcodeTL: 19-Dec-2016 06:51:07 using 9.1.0.441655 (R2016b)