% KMofSGs(SGs,dphi,thr) - returns a Kinematic model for a chain of solids
%	(by Tim Lueth, VLFL-Lib, 2015-AUG-09 as class: KINEMATICS AND FRAMES)
%	
%	The solids are given as cell list: {SG1,SG2,SG3...}
%	The procedure also performs a collision test to give a feedback on the 
%	geometry. For this purpose all facets of the analyzed links are 
%	shrinked by thr=0.1. and compared with all surfaces of the links in the 
%	chain before.
%	
%	
%	At a later stage, it is absolutely necessary to integrate the chains 
%	into the model
%	KM.m=models (i.e. current KM)
%	KM.c=chains
%	 (Status of: 2015-08-09)
%	
%	[KM,chain]=KMofSGs(SGs,[dphi,thr])
%	=== INPUT PARAMETERS ===
%	SGs:	Cell list of solids: {SG1,SG2,SG3...}
%	dphi:	angle degree (default is 105 degree) for all joints
%	thr:	threshold for collision test; default is 0.1 (==2*0.05)
%	=== OUTPUT RESULTS ======
%	KM:	Kinematic Model including a simple chain
%	chain:	generated chain of frames
%	
%	EXAMPLE: Create a strange robot
%	KMofSGs ({SG0,SG1,SG2,SG2,SG2,SG3,SG2,SG4});
%
% Generated by pcodeTL: 19-Dec-2016 06:48:17 using 9.1.0.441655 (R2016b)