% PLFLofCPLdelaunay(CPL,ADDVL) - Returns 2D point list and facet list of 
%	a triangulated contour
%	(by Tim Lueth, VLFL-Lib, 2014-JAN-11 as class: ANALYTICAL GEOMETRY)
%	
%	For ONE closed contour given by a (polybool) contour list, this 
%	procedure generates a tessellation by using the DelaunayTri procedures. 
%	Without adding the desired points, the procedure return a tesselation 
%	with minimal points. 
%	 (Status of: 2014-01-13)
%	
%	[XPL,XFL]=PLFLofCPLdelaunay(CPL,[ADDVL])
%	=== INPUT PARAMETERS ===
%	CPL:	Contour point list (2D) of the enclosed surface
%	ADDVL:	Vertex list of additional points to include
%	=== OUTPUT RESULTS ======
%	XPL:	Point List (2D) of the 
%	XFL:	Facet List of the enclosed surface
%	
%	EXAMPLE: Two examples of retesselate an existing surface
%	PLFLofCPLdelaunay(CPLunitePLFL(UVL,UFL))     % Minimal points used
%	PLFLofCPLdelaunay(CPLunitePLFL(UVL,UFL),UVL) % All points are used
%
% Generated by pcodeTL: 19-Dec-2016 06:42:08 using 9.1.0.441655 (R2016b)