% PLcircseg(R,n,phiA,phiB,Ry) - returns a PL for a circle segment
%	(by Tim Lueth, VLFL-Lib, 2013-JUL-16 as class: ANALYTICAL GEOMETRY)
%	
%	This procedure is described in chapter 2 of the article collection of 
%	Tim Lueth and Franz Irlinger on the automatic construction of 3D 
%	printable mechanisms (Status of: 2016-12-12)
%	
%	PL=PLcircseg(R,[n,phiA,phiB,Ry])
%	=== INPUT PARAMETERS ===
%	R:	Radius
%	n:	number of auxiliary points
%	phiA:	start angle
%	phiB:	end angle
%	Ry:	Radius in y, default is R
%	=== OUTPUT RESULTS ======
%	PL:	Point list n * 2 [x y]
%	
%	EXAMPLE: PL=PLcircseg (100,80,-pi/2,+pi);
%
% Generated by pcodeTL: 19-Dec-2016 06:39:33 using 9.1.0.441655 (R2016b)