% PLevolvente(r,w,n) - returns the point list of an evolvente procedure
%	(by Tim Lueth, VLFL-Lib, 2012-OKT-23 as class: ANALYTICAL GEOMETRY)
%	
%	The evolvent procedure computes for a cord winded on a circumcircle, 
%	the position of the cord end after rewinding it a specified angle. When 
%	rewinded, the cord consists of part that is still winded on the 
%	circumcircle and a tangent part that is straight from the circumcircle. 
%	This procedure is used to calculate gears.
%	
%	PL=PLevolvente(r,[w,n])
%	=== INPUT PARAMETERS ===
%	r:	radius
%	w:	maximal angle; default is 2*pi
%	n:	length of PL; default is 12;
%	=== OUTPUT RESULTS ======
%	PL:	Point list (2D) of the evolvente/involute procedure
%	
%	EXAMPLE: Show a typical evolute gear tooth flank (typical 20 degrees)
%	PL=PLevolvente (10,pi/180*20,100);
%	pplot (PL);
%	axis equal;
%
% Generated by pcodeTL: 19-Dec-2016 06:39:39 using 9.1.0.441655 (R2016b)