% PLradialEdges(PL,R,cvk,wmin,wmax,KL,m) - returns a point list (PL) with 
%	rounded edges 
%	(by Tim Lueth, VLFL-Lib, 2015-JAN-02 as class: ANALYZING PROCEDURES)
%	
%	Replaces all/convex/concave edges with an angle in a defined intervall 
%	[0,180] by a radial curve. The number of curve points can be specified 
%	too (default is nofrd). The procedures accepts a single CPL (without 
%	NaN) or PL and returns always a PL! (Status of: 2016-01-05)
%	
%	See also: VLradialEdges
%	
%	NPL=PLradialEdges(PL,[R,cvk,wmin,wmax,KL,m])
%	=== INPUT PARAMETERS ===
%	PL:	Point list nx2
%	R:	Radius; default is 1
%	cvk:	0==all; +1=concave, -1=convex
%	wmin:	minimal abs angle to handle; default is 0
%	wmax:	maximum abs angle to handle; default is pi
%	KL:	nr of sections of a line; 2 are required for radius at 90degree;
%	
%	m:	number of points; default is nofrd
%	=== OUTPUT RESULTS ======
%	NPL:	New point list
%	
%	EXAMPLE: VLFLfigure; 
%	C=CPLsample(1); 
%	CPLplot(C,'m'); CPLplot(PLradialEdges(C,1));	
%
% Generated by pcodeTL: 19-Dec-2016 06:53:45 using 9.1.0.441655 (R2016b)