% SGTui(SG,N,fe) - returns a HT matrix for a manuel selected union space
%	(by Tim Lueth, VLFL-Lib, 2015-FEB-01 as class: KINEMATICS AND FRAMES)
%	
%	This is a user interface for manually selecting union patches or tips 
%	(vertices) to generate frames for linking HT matrices to the solid 
%	geometries. It support 3 types of frames
%	a) tips
%	b) planar surfaces
%	c) spherical surfaces with feature edges
%	 (Status of: 2015-07-30)
%	
%	[SGN,T,h]=SGTui(SG,[N,fe])
%	=== INPUT PARAMETERS ===
%	SG:	Solid Geometry
%	N:	Name of the new/replaced Frame 
%	fe:	feature edge angle; default 0.3
%	=== OUTPUT RESULTS ======
%	SGN:	New SG with Tname, T, TFiL
%	T:	Transformation matrix
%	h:	handle to graphic
%	
%	EXAMPLE: load AIM_SGrobot; SG3=SGTremove(SG3,'all');
%	SG3=SGTui(SG3,[],0.3)
%
% Generated by pcodeTL: 19-Dec-2016 06:47:42 using 9.1.0.441655 (R2016b)