% SGcontourtube(CPL,VL,VLO) - extrudes the CPL along a given path
%	(by Tim Lueth, VLFL-Lib, 2015-AUG-19 as class: SURFACES)
%	
%	powerful procedure to extrude PLs [nx2] anlog a path (Status of: 
%	2015-08-19)
%	
%	[SG,FLS,FLE,FLW]=SGcontourtube(CPL,VL,VLO)
%	=== INPUT PARAMETERS ===
%	CPL:	Closed point list [nx2]
%	VL:	Vertex list [nx3]
%	VLO:	Second vertex list [nx3]
%	=== OUTPUT RESULTS ======
%	SG:	Solid geometry
%	FLS:	FL of starting surface
%	FLE:	FL of ending surface
%	FLW:	FL of the wall
%	
%	EXAMPLE: 
%	PL=PLcircle(10,[],[],5); 
%	VL=VLhelix(40,100,3*pi); VLO=[VL(:,1:2)*1.1 VL(:,3)];
%	SGcontourtube(PL,VL,VLO)
%
% Generated by pcodeTL: 19-Dec-2016 06:50:53 using 9.1.0.441655 (R2016b)