% SGmodelLink(L,D,SL,EL,DH,DL) - SG of a cylindric rod
%	(by Tim Lueth, VLFL-Lib, 2016-NOV-14 as class: SIMMECHANICS INTERFACE)
%	
%	Creates a cylindric solid bar for the creation of Mechanisms that can 
%	be 3D-printed using SLS or SLA. 
%	
%	w=135; DL=D/2/tan(pi/360*(180-w))
%	 (Status of: 2016-11-14)
%	
%	[SG,w]=SGmodelLink([L,D,SL,EL,DH,DL])
%	=== INPUT PARAMETERS ===
%	L:	Length
%	D:	Diameter
%	SL:	Base Level 
%	EL:	Frame Level
%	DH:	Hole Diameter; default is D/4
%	DL:	Length of the flange; default is 2*D~150 degree
%	=== OUTPUT RESULTS ======
%	SG:	Solid Geometry
%	w:	maximum turning angle
%	
%	EXAMPLE: SGmodelLink(80,8,3,3);
%
% Generated by pcodeTL: 19-Dec-2016 06:51:53 using 9.1.0.441655 (R2016b)