% SGof2CPLz(CPA,CPB,z,stype,ctype) - returns a solid defined by 2 
%	contours and height
%	(by Tim Lueth, VLFL-Lib, 2015-SEP-16 as class: SURFACES)
%	
%	The optimal result depends on the expectations of the user. Consider 
%	different options for stype carefully:
%	"number" of points,  i.e. 1:nmax
%	"length" of contour, i.e. 0:sum(edge length)
%	"angle" of contour,  i.e. 0:sum(abs(edge angle))
%	"center" of contour, i.e. 0:360 degree
%	also the starting point ctype ('rot' or 'min');
%	
%	Quite optimal procedure to find the walls between two planar contours 
%	without adding new points. The number of faces is na+nb. 
%	The resulting vertex list SG: 
%	SG.VL=[VLaddz(CPA,0);VLaddz(CPB,z)];
%	SG.FL=[FLA;FLB;FLW];
%	 (Status of: 2015-10-02)
%	
%	[SG,FLW,FLA,FLB]=SGof2CPLz([CPA,CPB,z,stype,ctype])
%	=== INPUT PARAMETERS ===
%	CPA:	ONE bottom Contour
%	CPB:	ONE top Contour
%	z:	height of the solid
%	stype:	"number", "length", "angle", "center"; default is "length"
%	ctype:	"rot" or "miny"; default is "rot"
%	=== OUTPUT RESULTS ======
%	SG:	Solid Geoemtry; VL=[CPA;CPB]
%	FLW:	Face list of Wall
%	FLA:	Face list of CPA
%	FLB:	Face list of CPB
%	
%	EXAMPLE: 
%	SGof2CPLz(PLcircle(10,8),PLstar(10,12),30)
%
% Generated by pcodeTL: 19-Dec-2016 06:50:33 using 9.1.0.441655 (R2016b)