% SGofCPLrot(CPL,n) - returns a solid geometry from of a z-axis rotated 
%	closed polygon list
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-29 as class: MODELING PROCEDURES)
%	
%	Basic modeling procedure such as SGofCPLz (Status of: 2014-11-29)
%	
%	SG=SGofCPLrot(CPL,[n])
%	=== INPUT PARAMETERS ===
%	CPL:	Radius-Z List
%	n:	optional number of edges of the rotated polygon
%	=== OUTPUT RESULTS ======
%	SG:	Solid Geometry (SG.VL, SG.FL, SG.CPL)
%	
%	EXAMPLE: CPL=[0 0; 20 0; 20 10; 0 10; NaN NaN; 1 1; 9 1; 9 9; 1 9; NaN 
%	NaN; 2 2; 8 2; 8 8; 2 8 ];
%	CPL(:,1)=CPL(:,1)+5
%	CPL=PLcircle(10);
%	CPL=[0 10; 2 8; 0 5; 0 4; 4 1; 0 0];
%	 [VL,FL]=VLFLofCPLrot (2); 
%	VLFLchecker(VL,FL); 
%	VLFLviewer(VL,FL); VLFLplotlight (1,0.5), view(-30,30);
%
% Generated by pcodeTL: 19-Dec-2016 06:44:41 using 9.1.0.441655 (R2016b)