% SGplatesofSGML(SG,th,pat,w,UVF) - converts a solid into a plated solid
%	(by Tim Lueth, VLFL-Lib, 2015-SEP-07 as class: SURFACES)
%	
%	This procedure separates a solid geometry into all mounting faces. 
%	Afterwards all mounting faces are converted into solid plates by using 
%	SGofSurface. Thus, a solid block is converted into a shell of several 
%	plates with about the same outer and inner geometry. Each mounting face 
%	will result in one separate solid. The plates do not share any vertex.
%	Written on SY Bontekoning in the bay Cala Egos (Mallorca)
%	 (Status of: 2015-12-26)
%	
%	NSG=SGplatesofSGML(SG,[th,pat,w,UVF])
%	=== INPUT PARAMETERS ===
%	SG:	Original solid
%	th:	Thickness of the plates; default is 0.5
%	pat:	CPL of a pattern to fill
%	w:	border size and pattern distance; default th
%	UVF:	list of unit vectors for filling;default=all ([])
%	=== OUTPUT RESULTS ======
%	NSG:	resulting solid consisting of plates
%	
%	EXAMPLE: Convert a box into six plates
%	SGplatesofSGML(SGbox([30,20,10]))
%	SGplatesofSGML(SGbox([60,40,20]),2,PLcircle(3,4));
%	SGplatesofSGML(SGbox([60,40,20]),2,PLcircle(3,4),1,[0 -1 0;0 +1 0]);
%
% Generated by pcodeTL: 19-Dec-2016 06:49:06 using 9.1.0.441655 (R2016b)