% SGslicer(SG,z) - returns the delaunayTriangulation of the sliced plane
%	(by Tim Lueth, VLFL-Lib, 2015-JAN-07 as class: SLICES)
%	
%	Efficient, modern and powerful version of VLELslicer/VLELslicer2 that 
%	uses delaunayTriangulation for reconstruction and calulation of upper 
%	and lower cutted facets in addition.
%	Without output parameters, the result is shown in VLFLfigure
%	Modified in June 2015 to support already cutted objects (lines in the 
%	cutting plane). There is still no possibility to cut parts at the outer 
%	boundaries (surfaces) of the object. (Status of: 2015-01-08)
%	
%	[TR2,EL,SIL,FIL,FLO,FLU]=SGslicer(SG,z)
%	=== INPUT PARAMETERS ===
%	SG:	Solid Geometry (VL,FL)
%	z:	z value for slicing
%	=== OUTPUT RESULTS ======
%	TR2:	Delaunay Triangulation of the cutting plane
%	EL:	Border Edge List of TR2 (TR2.Constraints)
%	SIL:	Surface Index List (Index of separated surface areas)
%	FIL:	Facet index list of the cutted facets -1=below, +1= up, 0=cutted
%	FLO:	Facet list upper related to [SG.VL; TR2.Points]
%	FLU:	Facet list lower related to [SG.VL; TR2.Points]
%	
%	EXAMPLE: SGslicer (SGsample(7),+10);
%
% Generated by pcodeTL: 19-Dec-2016 06:45:22 using 9.1.0.441655 (R2016b)