% SGsphere(R,nr,wt,wb,Ry,Rz) - returns a spherical SG with minimal nr of 
%	points
%	(by Tim Lueth, VLFL-Lib, 2015-OKT-04 as class: SURFACES)
%	
%	returns a sphere or an ellipsoid, depending on the given parameters 
%	(Status of: 2016-12-12)
%	
%	[SG,FLW,FLB,FLT]=SGsphere(R,[nr,wt,wb,Ry,Rz])
%	=== INPUT PARAMETERS ===
%	R:	Radius
%	nr:	number of points; default is [];
%	wt:	top angle; default is +pi/2
%	wb:	bottom angle; default is -pi/2
%	Ry:	Radius in Y; default is R
%	Rz:	Radius in Z; default is R
%	=== OUTPUT RESULTS ======
%	SG:	Solid Geometry
%	FLW:	Faces of the wall, related to SG.VL
%	FLB:	Faces of the bottom, related to SG.VL
%	FLT:	Faces of the cover, related to SG.VL
%	
%	EXAMPLE: 
%	SGsphere(10,[],pi/10)
%
% Generated by pcodeTL: 19-Dec-2016 06:51:00 using 9.1.0.441655 (R2016b)