% SGthread(D,L,c,P,u) - generates a screw thread for a bolt or a nut
%	(by Tim Lueth, VLFL-Lib, 2013-APR-30 as class: MODELING PROCEDURES)
%	
%	This procedure generates a solid geometry for a bold or nut. It is also 
%	a good example of sweeping a contour along a helix. The procedure was 
%	modified in June 2015 to create full threads using the procedure SGcut. 
%	A 5th parameter was added: "Full" means that the tread fills the 
%	complete length; "Complete" means that all threats are complete and nut 
%	cutted. (Status of: 2015-06-09)
%	
%	[SG,H,KD]=SGthread(D,L,[c,P,u])
%	=== INPUT PARAMETERS ===
%	D:	Diameter (related to DIN 13)
%	L:	Length of the thread
%	c:	'N' or 'B'; default is 'B'
%	P:	pitch; default is taken from DIN13
%	u:	'F' or 'C; default is 'F'
%	=== OUTPUT RESULTS ======
%	SG:	Solid geometry of the thread
%	H:	Size of the thread
%	KD:	Core diameter of bold or nut
%	
%	EXAMPLE: Generate two different 
%
% Generated by pcodeTL: 19-Dec-2016 06:53:18 using 9.1.0.441655 (R2016b)