% SGtrans1(SG) - moves a solid geometry (or a list) into quadrant 1 of 
%	the coordinate system
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-23)
%	
%	The procedure simply uses VLtransP for the transformation. The 
%	procedure supports different calling structures
%	1. N=SGtrans1 (A)
%	2. Nlist=SGtrans1 ({A,B,C})
%	3. [NA,NB,NC]=SGtrans1 ({A,B,C}) (Status of: 2014-11-23)
%	
%	[SG1,varargout]=SGtrans1(SG)
%	=== INPUT PARAMETERS ===
%	SG:	Solid geometry (.VL/.FL) or a cell list of SG
%	=== OUTPUT RESULTS ======
%	SG1:	First output solid geometry
%	varargout:	optional more output arguments
%	
%	EXAMPLE: Show the movement into the origin 
%	A=SGtransP(SGbox([30,20,10]),[0;0;30]); SGplot (A,'b'); show; 
%	B=SGtransP(SGbox([10,10,40]),[30;0;0]); SGplot (B,'g'); show
%	view (-30,30);
%	SGplot(SGtrans1({A,B}),'m'); VLFLplotlight (1,0.5)
%
% Generated by pcodeTL: 19-Dec-2016 06:43:26 using 9.1.0.441655 (R2016b)