% SGtransP(SG,p) - moves a solid geometry (or a list) relative using a 
%	translation vector
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-23)
%	
%	The procedure simply uses VLtransP for the transformation. The 
%	procedure supports different calling structures
%	1. N=SGtransP (A,p)
%	2. Nlist=SGtransP ({A,B,C},p)
%	3. [NA,NB,NC]=SGtransP ({A,B,C},p) (Status of: 2014-11-23)
%	
%	[SG1,varargout]=SGtransP(SG,p)
%	=== INPUT PARAMETERS ===
%	SG:	Solid geometry (.VL/.FL) or a cell list of SG
%	p:	Point as column vector (1x3)
%	=== OUTPUT RESULTS ======
%	SG1:	First output solid geometry
%	varargout:	optional more output arguments
%	
%	EXAMPLE: Show the movement in Z
%	A=SGbox([30,20,10]); 
%	A=SGtransP (A,[0 ;0 ;30]); SGplot (A); show; pause (1);
%	B=SGbox([20,20,10]); 
%	[A,B]=SGtransP ({A,B},[30 ;0 ;5]); SGplot ({A,B},'b'); show 
%	L=SGtransP ({A,B},[30 ;0 ;5]), SGplot (L,'b'); show
%
% Generated by pcodeTL: 19-Dec-2016 06:43:27 using 9.1.0.441655 (R2016b)