% SGtransR(SG,R) - rotates a solid geometry (or a list) relative using a 
%	rotation matrix
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-23 as class: SYNTHESIZING PROCEDURES)
%	
%	The procedure simply uses VLtransR for the transformation. The 
%	procedure supports different calling structures. SGtransR supports also 
%	the T frame concept.
%	1. N=SGtransR (A,R)
%	2. Nlist=SGtransR ({A,B,C},R)
%	3. [NA,NB,NC]=SGtransR ({A,B,C},R) (Status of: 2014-12-26)
%	
%	[SG1,varargout]=SGtransR(SG,R)
%	=== INPUT PARAMETERS ===
%	SG:	Solid geometry (.VL/.FL) or a cell list of SG
%	R:	Point as column vector (1x3)
%	=== OUTPUT RESULTS ======
%	First output solid geometry
%	optional more output arguments
%	
%	EXAMPLE: Show the movement in Z
%	A=SGbox([30,20,10]); 
%	A=SGtransR (A,rot(pi/6,0,0)); SGplot (A); show; pause (1);
%	B=SGbox([20,20,10]); 
%	[A,B]=SGtransR ({A,B},rot(pi/6,0,0)); SGplot ({A,B},'b'); show 
%	L=SGtransR ({A,B},rot(pi/6,0,0)), SGplot (L,'b'); show
%
% Generated by pcodeTL: 19-Dec-2016 06:43:32 using 9.1.0.441655 (R2016b)