% SGtransT(SG,T) - transformats a solid geometry or list using a 
%	homogenous transformation matrix
%	(by Tim Lueth, VLFL-Lib, 2014-NOV-23 as class: SYNTHESIZING PROCEDURES)
%	
%	The procedure simply uses VLtransR for the transformation. The 
%	procedure supports different calling structures and nested Solid 
%	Geoemtries of Solids including Frames.
%	1. N=SGtransT (A,T)
%	2. Nlist=SGtransT ({A,B,C},T)
%	3. [NA,NB,NC]=SGtransT ({A,B,C},T) (Status of: 2016-12-07)
%	
%	[SG1,varargout]=SGtransT(SG,T)
%	=== INPUT PARAMETERS ===
%	SG:	Solid geometry (.VL/.FL) or a cell list of SG
%	T:	Point as column vector (1x3)
%	=== OUTPUT RESULTS ======
%	[1,varargout]=SGtransT(SG,T)
%	 
%	if isempty(SG)]:	First output solid geometry
%	[1,varargout]=SGtransT(SG,T)
%	 
%	if isempty(SG)]:	optional more output arguments
%	
%	EXAMPLE: Show the movement in Z
%	A=SGbox([30,20,10]); 
%	A=SGtransT (A,[rot(pi/6,0,0),[100;0;0]]); SGplot (A); show; pause (1);
%	B=SGbox([20,20,10]); 
%	[A,B]=SGtransR ({A,B},[rot(pi/6,0,0),[100;0;0]]); SGplot ({A,B},'b'); 
%	show 
%	L=SGtransR ({A,B},[rot(pi/6,0,0),[100;0;0]]), SGplot (L,'m'); show
%
% Generated by pcodeTL: 19-Dec-2016 06:43:37 using 9.1.0.441655 (R2016b)