% VLBeziernoose(d,h,b,a,n) - returns a Point list of a noose as link 
%	between 2 points with a desired spring length
%	(by Tim Lueth, VLFL-Lib, 2012-MAI-20 as class: SYNTHESIZING PROCEDURES)
%	
%	VL=VLBeziernoose(d,h,b,a,n)
%	=== INPUT PARAMETERS ===
%	d:	length in x
%	h:	half of the height in y
%	b:	upper neck of the noose
%	a:	lower neck of the noose
%	n:	number of points
%	=== OUTPUT RESULTS ======
%	VL:	Point list as vertex list
%	
%	EXAMPLE: Create a Noose:
%	NVL=VLBeziernoose(d,h1,b,a,k); 
%	NVL=[-ol-5 0 0; NVL; d+ol+5 0 0];
%	[NVL,NFL]=VLFLexpandPL (NVL',lt,lb); NVL=VLswapYZ(NVL);
%
% Generated by pcodeTL: 19-Dec-2016 06:39:55 using 9.1.0.441655 (R2016b)