
% VLFLchecker(VL,FL,long) - performs a check of the vertex list and facet 
%	list to detect non manifold problems
%	(by Tim Lueth, VLFL-Lib, 2012-MÄR-22 as class: CHECKING PROCEDURES)
%	
%	This procedures generates a simple protocol on the status of the vertex 
%	list and facet list. It should allow to detect non manifold problems 
%	for generating the files and to speed up development.
%	It generates an terminal output using FID=1.
%	
%	[VLC,EL,PEL]=VLFLchecker(VL,FL,[long])
%	=== INPUT PARAMETERS ===
%	VL:	Vertex list of the object
%	FL:	Facet list of the object
%	long:	true==exact error messages; default is false
%	=== OUTPUT RESULTS ======
%	VLC:	List of sorted vertices to analyze the problematic vertices 
%	EL:	List of sorted edges to analyze the problematic edges
%	PEL:	List of non-manifold edges
%	
%	EXAMPLE: Show the non-manifold edges of a solid:
%	[VLC,EL,PEL]=VLFLchecker(VL,FL);
%	VLFLELplot (VL,PEL);
%
% Generated by pcodeTL: 19-Dec-2016 06:41:09 using 9.1.0.441655 (R2016b)