% VLFLreadSTL(FName,mag) - reads an ascii STL-File as vertex & facet list
%	(by Tim Lueth, VLFL-Lib, 2012-APR-06 as class: FILE HANDLING)
%	
%	Based on a procedure of 2010-Oct. This procedure was under devlopment 
%	since the method [VL,j,j1,j2,j3]=VLcat(VL,NVL) seems to be not 
%	effective enough. The final method is now, first to read all vertices 
%	as list. Later the 'unique' command is used to generate a complete 
%	vertex list and facet list from the original data.
%	
%	[VL,FL,S1,S2,STL]=VLFLreadSTL(FName,[mag])
%	=== INPUT PARAMETERS ===
%	FName:	Filename of the STL-File (ASCII)
%	mag:	magnification factor
%	=== OUTPUT RESULTS ======
%	VL:	Vertex List
%	FL:	Facet List
%	S1:	solid string
%	S2:	endsolid string
%	STL:	The original facet list that uses no vertex list
%	
%	EXAMPLE: Generate a simple block, write it into a file, read it from 
%	the file and write it a second time.
%	[VL,FL]=VLFLcylinder(10,5,3,1); 
%	VLFLwriteSTL ('PRISMA','by Tim C. Lueth',VL,FL);
%	[NVL,NFL]=VLFLreadSTL ('PRISMA');
%	VLFLwriteSTL ('PRISMA-COPY','by Tim C. Lueth',NVL,NFL);
%
% Generated by pcodeTL: 19-Dec-2016 06:41:05 using 9.1.0.441655 (R2016b)