% VLFLtext(text,dt,t,sx,sy,sz) - returns vertex/facet list for a text 
%	string
%	(by Tim Lueth, VLFL-Lib, 2011-DEZ-17)
%	
%	[VL,FL,dx,dy,dz]=VLFLtext(text,[dt,t,sx,sy,sz])
%	=== INPUT PARAMETERS ===
%	text:	String consisting of characters 'TL:-MXVI'
%	dt:	Distance between two chars; default is 0.5
%	t:	Thickness of the base plate [0..-t]; default is 1
%	sx:	Size in x; default is 0, i.e. no scaling
%	sy:	Size in y; default is 0, i.e. no scaling
%	sz:	Size in z; default is 0, i.e. no scaling
%	=== OUTPUT RESULTS ======
%	VL:	Vertex list
%	FL:	Facet List
%	dx:	Size in x [0..x]
%	dy:	Size in y [0..y]
%	dz:	Size in x [0..z]
%	
%	EXAMPLE: Generate todays date as plate:
%	[VL,FL,d]=VLFLtext('TL-MMXI-XII-XVII');
%	VLFLwriteSTL ('exp_2011_12_17', 'by Tim C Lueth',VL,FL);
%
% Generated by pcodeTL: 19-Dec-2016 06:41:28 using 9.1.0.441655 (R2016b)