% VLRadius4P(p0,p1,p2,p3,wmax,R,nmax) - returns a contour based on 4 
%	points similar to VLBezier4P
%	(by Tim Lueth, VLFL-Lib, 2012-DEZ-10 as class: ANALYTICAL GEOMETRY)
%	
%	Generates from 3 segments, defined by 4 points a curved 2nd segment, 
%	that uses a radial curve to transfer the first segment as tangent into 
%	the 2nd segment and the tangent of the 2nd segment is the 3rd segment. 
%	The procedure can be used to defined curves between an even number of 
%	points. (4:6:8:?). The second delivered vertex list has more supporting 
%	point on long straight lines. (Status of: 2012-12-10)
%	
%	[VL,NVL]=VLRadius4P(p0,p1,p2,p3,wmax,R,[nmax])
%	=== INPUT PARAMETERS ===
%	p0:	1st point
%	p1:	2nd point
%	p2:	3rd point
%	p3:	4th point
%	wmax:	Maximal direction change angle
%	R:	Minimal Radius of the curve
%	nmax:	maximum length of a radius field; default is 40
%	=== OUTPUT RESULTS ======
%	VL:	Vertex list of the specified contour
%	NVL:	Vertex list with more supporting lines
%
% Generated by pcodeTL: 19-Dec-2016 06:40:03 using 9.1.0.441655 (R2016b)