% VLradialEdges(VL,Ro) - returns a vertex list (VL) with rounded edges 
%	(by Tim Lueth, VLFL-Lib, 2016-DEZ-03 as class: ANALYZING PROCEDURES)
%	
%	Replaces all/convex/concave edges with an angle in a defined intervall 
%	[0,180] by a radial curve. The number of curve points can be specified 
%	too (default is nofrd). The procedures accepts a single CPL (without 
%	NaN) or PL and returns always a PL! (Status of: 2016-12-03)
%	
%	See also: PLradialEdges
%	
%	NVL=VLradialEdges(VL,[Ro])
%	=== INPUT PARAMETERS ===
%	VL:	Vertex list nx3
%	Ro:	Radius; default is 10
%	=== OUTPUT RESULTS ======
%	NVL:	New vertex list
%	
%	EXAMPLE: 
%	VL=roundn(rand(6,3)*100,5)
%	VLradialEdges(VL,2)
%
% Generated by pcodeTL: 19-Dec-2016 06:51:12 using 9.1.0.441655 (R2016b)