% exp_2013_08_13(RA,RI,H,R,phi) - Experiment that show the final use of 
%	VLFLspherecurvedPLEL
%	(by Tim Lueth, VLFL-Lib, 2013-AUG-13 as class: MODELING PROCEDURES)
%	
%	This procedure generates a spherical bar of a spherical 4-bar: 
%	VLFLspherelinkage (RA,RI,H,D,phi) (Status of: 2013-08-13)
%	
%	[VLX,FLX]=exp_2013_08_13([RA,RI,H,R,phi])
%	=== INPUT PARAMETERS ===
%	RA:	Outer Radius of the spherical bar
%	RI:	Outer Radius of the spherical bar
%	H:	Height of the spherical bar
%	R:	Radius of the sphere
%	phi:	angle (distance/R)
%	=== OUTPUT RESULTS ======
%	VLX:	Vertex list of the spherical bar
%	FLX:	Facet list of the spherical bar
%	
function [VLX,FLX]=exp_2013_08_13 (varargin)
RA=16;      if nargin>=1 && ~isempty(varargin{1}); RA=varargin{1}; end;
RI=8;       if nargin>=2 && ~isempty(varargin{2}); RI=varargin{2}; end;
H=8;        if nargin>=3 && ~isempty(varargin{3}); H=varargin{3}; end;
R=60;       if nargin>=4 && ~isempty(varargin{4}); R=varargin{4}; end;
phi=pi/3;   if nargin>=5 && ~isempty(varargin{5}); phi=varargin{5}; end;

b=16; h=60; 
app_2012_11_09 ([]);

d=sofrd(R);



LH=H; D=30; D=pi*R/3; D=h;  D=R*phi
[VLD,FLD,PL,CEL]=VLFLlinkage (RA,RI,H,D); PL=PL(:,[2 1]); CEL=CELflip(CEL);    % rotation of points requires flip of EL

FL=FLofPLEL (PL,CEL); VLFLplot(PL,FL); 

% VLELplots (PL,CEL,'k.-',1,1,2); 

% FL=FLofPLEL (PL,CEL); VLFLplot (PL,FL);   % Tesselation of PLEL

% VLELplots (VLaddz(PL),CEL,'r.-',1,1,2); show; pause; delete (gca)
% EL
% CILofCEL (EL)
% return

% [PL,CEL]=PLELaddauxpoints (PL,CEL,4); % VLELplots (VLaddz(PL),CEL,'r.-',1,1,2); show; pause
% EL
% CILofCEL (EL)
% 
% 
% [GPL,k]=GPLauxgridpointsPLEL (PL,CEL,4,4);
% VLplot (GPL(k==0,:), 'g*'); show;
% VLplot (GPL(k==1,:), 'm*'); show;

[VLA,FLA,CEL]=VLFLspherecurvedPLEL(PL,CEL,R,d); 

size(CEL)

FLA=FLswap(FLA);

% VLELplots (VLA,CEL,'k-',4)
% VLELplot (CVL,EL)

VLFLplot (VLA,FLA,'g'); view (60,30), show

% return

D2=D*(R+LH)/R;  d2=d*(R+LH)/R;
[~,~,PL,CEL]=VLFLlinkage (RA,RI,H,D2); PL=PL(:,[2 1]); CEL=CELflip(CEL);    % rotation of points requires flip of EL


% [VLB,FLB,CVL,CL]=VLFLspherecurvedCL (PL,R+LH);

% [PL,CEL]=PLELaddauxpoints (PL,CEL,4); 
[VLB,FLB,CEL]=VLFLspherecurvedPLEL(PL,CEL,R+LH,d2);
size(CEL)

VLB(:,1)=VLB(:,1)+LH;
VLFLplot (VLB,FLB,'g'); view (60,30), show


VLELplots(VLA,CEL,'k-',4);
VLELplots(VLB,CEL,'k-',4);

% VLFLplot (VLD,FLD)

FLX=FLcontourwallELn(CEL,size(VLA,1));

VLX=[VLA;VLB];

% app_2012_11_09 ([]);
% VLFLplot (VLX,FLX);
VLFLplot (VLX,FLX);

FLX=[FLA;FLB+size(VLA,1);FLX];


end

% % 13.8.2013 %works only 
% function CIL=CILofCEL (EL)
% n=size(EL,1); i=1; CIL=[];
% while i<=n; s=EL(i,1); e=allindex(EL(:,2)==s); CIL=[CIL;[i e]]; i=e+1; end;
% end