% fourBarLinkageKit(task,2,3) - Creation kit for Four-Bar-Linkages
%	(by Tim Lueth, VLFL-Lib, 2015-FEB-20 as class: KINEMATICS AND FRAMES)
%	
%	Depending on the input parameter this procedures returns parts of a 
%	creation kit or a complete creation kit for physical experiments with 
%	4-Bar-linkages, gears etc:
%	It is similar to exp_2015_02_19 but with a more primitive modeler.
%	'Knob':     Knob for turning parts manually or as stopper
%	'Bar':      Basic elements of a linkage
%	'Spacer':	spacing element required for some configurations
%	'Bolt':     turning bolt as axis to connect two bars as joint
%	'Shaft':	shaft for fixed connection between two bars/parts
%	'Wheel':	Turning wheel with sockets for shafts and bolts
%	'Gear':     Turning gear (m=1) with sockets for shafts and bolts
%	'Brick':	Basic element with sockets for shafts and bolts
%	'Plate':	Square grid of bricks as base plate for experiments
%	'Test':     Small plate plus limited numbers of bars for test the 3D-Printer
%	'All':      All parts for a 4-Bar-Linkage construction kit
%	'Kit':      Same as all but including a box/case
%	
%	 (Status of: 2015-02-20)
%	
%	SG=fourBarLinkageKit([task,2,3])
%	=== INPUT PARAMETERS ===
%	task:	String for Task, default is bar
%	2:	2nd parameter for shapes
%	3:	3rn parameter for shapes/mode
%	=== OUTPUT RESULTS ======
%	SG:	
%	
%	EXAMPLE: 
%	fourBarLinkageKit ('gear')
%	fourBarLinkageKit ('all')
%	fourBarLinkageKit ('kit')
%	
%
% Generated by pcodeTL: 19-Dec-2016 06:46:52 using 9.1.0.441655 (R2016b)