% smbCreateConnection(F1,F2,T) - adds a connection line between 2 blocks.
%	(by Tim Lueth, SimMechanics, 2016-NOV-16)
%	
%	This procedure connects Block within SimScape not in Simulink! So make 
%	sure that the used Block have just one Input Port.
%	Blocks are typically such as .S (Stator), .M(Mover), .B(Base), 
%	.F(Follower)
%	Without any T parameter, the blocks are connected directly.
%	With parameter 'align', there will be a rotation around y to connect 
%	two links or two joint. Solids have their frames looking inside. Joints 
%	have their frames towards outside. (Status of: 2016-12-11)
%	
%	h=smbCreateConnection(F1,F2,[T])
%	=== INPUT PARAMETERS ===
%	F1:	Frame 1
%	F2:	Frame 2
%	T:	Additional Frame for rotation; 'match','align'
%	=== OUTPUT RESULTS ======
%	h:	handle to line
%	
%	EXAMPLE: smbCreateConnection('WORLD.ORIGIN','LINK1.B');
%
% Generated by pcodeTL: 19-Dec-2016 06:52:10 using 9.1.0.441655 (R2016b)