% smbCreateSG(SG,SGName,SGcol,SFrame,EFrame) - SimMechanics creates a 
%	subsystem for a Solid Geometry
%	(by Tim Lueth, SimMechanics, 2016-NOV-12 as class: SIMMECHANICS 
%	INTERFACE)
%	
%	This procedure writes the Solid Geometry as STL File on Disk in the 
%	Desktop and loads it into a newly ceated SimMechanics Solid block.
%	All Frames of the Solid are turned inside the solid by rotating around 
%	y pi/2! (Status of: 2016-12-14)
%	
%	See also: smbNewSystem, smbCreateJoint, smbSetTransformationMatrix, 
%	smbSetPosition, smbAddLine, smbConvertSubsystem, SGwriteIcon, SGwriteSTL
%	
%	u=smbCreateSG(SG,[SGName,SGcol,SFrame,EFrame])
%	=== INPUT PARAMETERS ===
%	SG:	Solid Geometry
%	SGName:	SG Name within SimMechanics; default is 'SOLID'
%	SGcol:	Solid Color ('w',.....'); default is SG.col
%	SFrame:	Optional Block to connect the Base
%	EFrame:	Optional Block to connect the Follower
%	=== OUTPUT RESULTS ======
%	u:	
%	
%	EXAMPLE: 
%	load AIM_SGrobot.mat
%	smbNewSystem ('Test_System')
%	smbCreateSG (SG2,'Link2')
%	smbAddLine('World Frame Mechanism Solver/RConn1','Link2.Solid/RConn1')
%
% Generated by pcodeTL: 19-Dec-2016 06:52:01 using 9.1.0.441655 (R2016b)